Search Results for

Show / Hide Table of Contents

# Interface IClipboard

Definition to interact with the OS clipboard.

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public interface IClipboard

### Properties

#### IsSupported

Returns true if the environmental dependencies are in place to interact with the OS clipboard.

##### Declaration

    bool IsSupported { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

#### GetClipboardData()

Get the operation system clipboard.

##### Declaration

    string GetClipboardData()

##### Returns

Type | Description
--- | ---
System.String |

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Thrown if it was not possible to read the clipboard contents.

#### SetClipboardData(String)

Sets the operation system clipboard.

##### Declaration

    void SetClipboardData(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

##### Exceptions

Type | Condition
--- | ---
System.NotSupportedException | Thrown if it was not possible to set the clipboard contents.

#### TryGetClipboardData(out String)

Gets the operation system clipboard if possible.

##### Declaration

    bool TryGetClipboardData(out string result)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | result | Clipboard contents read

##### Returns

Type | Description
--- | ---
System.Boolean | true if it was possible to read the OS clipboard.

#### TrySetClipboardData(String)

Sets the operation system clipboard if possible.

##### Declaration

    bool TrySetClipboardData(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text |

##### Returns

Type | Description
--- | ---
System.Boolean | True if the clipboard content was set successfully.